Index: src/Parameters/Parameter_impl.hpp
===================================================================
--- src/Parameters/Parameter_impl.hpp	(revision 2665d30579bb5fa0e665b2940560e80469692b9b)
+++ src/Parameters/Parameter_impl.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
@@ -144,5 +144,5 @@
  */
 template<typename T>
-const std::string Parameter<T>::getAsString() const throw(ParameterValueException)
+inline const std::string Parameter<T>::getAsString() const throw(ParameterValueException)
 {
   try {
@@ -159,5 +159,5 @@
  */
 template<typename T>
-const T & Parameter<T>::get() const throw(ParameterValueException)
+inline const T & Parameter<T>::get() const throw(ParameterValueException)
 {
   try {
@@ -174,5 +174,5 @@
  */
 template<typename T>
-void Parameter<T>::set(const T & _value) throw(ParameterValueException)
+inline void Parameter<T>::set(const T & _value) throw(ParameterValueException)
 {
   try {
@@ -189,5 +189,5 @@
  */
 template<typename T>
-void Parameter<T>::setAsString(const std::string _value) throw(ParameterValueException)
+inline void Parameter<T>::setAsString(const std::string _value) throw(ParameterValueException)
 {
   try {
@@ -224,5 +224,5 @@
  */
 template<typename T>
-ParameterAsString* Parameter<T>::clone() const
+inline ParameterAsString* Parameter<T>::clone() const
 {
   Parameter<T> *instance = new Parameter<T>(ParameterInterface<T>::getName(), Value<T>::getValidator());
Index: src/Parameters/Value_impl.hpp
===================================================================
--- src/Parameters/Value_impl.hpp	(revision 2665d30579bb5fa0e665b2940560e80469692b9b)
+++ src/Parameters/Value_impl.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
@@ -87,5 +87,5 @@
  */
 template <class T>
-bool Value<T>::isValid(const T & _value) const throw(ParameterValidatorException)
+inline bool Value<T>::isValid(const T & _value) const throw(ParameterValidatorException)
 {
   if (validator == NULL) throw ParameterValidatorException();
@@ -117,5 +117,5 @@
  */
 template <class T>
-const T & Value<T>::get() const throw(ParameterValueException)
+inline const T & Value<T>::get() const throw(ParameterValueException)
 {
   if (!ValueSet) throw ParameterValueException();
@@ -128,5 +128,5 @@
  */
 template <class T>
-void Value<T>::set(const T & _value) throw(ParameterException)
+inline void Value<T>::set(const T & _value) throw(ParameterException)
 {
   if (!isValid(_value)) throw ParameterValueException();
@@ -142,5 +142,5 @@
  */
 template <class T>
-bool Value<T>::isSet() const
+inline bool Value<T>::isSet() const
 {
   return ValueSet;
@@ -154,5 +154,5 @@
  */
 template <class T>
-bool Value<T>::isValidAsString(const std::string _value) const throw(ParameterValidatorException)
+inline bool Value<T>::isValidAsString(const std::string _value) const throw(ParameterValidatorException)
 {
   const T castvalue = Converter(_value);
@@ -166,5 +166,5 @@
  */
 template <class T>
-const std::string Value<T>::getAsString() const throw(ParameterValueException)
+inline const std::string Value<T>::getAsString() const throw(ParameterValueException)
 {
   if (!ValueSet) throw ParameterValueException();
@@ -177,5 +177,5 @@
  */
 template <class T>
-void Value<T>::setAsString(const std::string _value) throw(ParameterException)
+inline void Value<T>::setAsString(const std::string _value) throw(ParameterException)
 {
   const T castvalue = Converter(_value);
@@ -190,5 +190,5 @@
  */
 template <class T>
-const Validator<T> &Value<T>::getValidator() const
+inline const Validator<T> &Value<T>::getValidator() const
 {
   if (validator == NULL) throw ParameterValidatorException();
@@ -201,5 +201,5 @@
  */
 template <class T>
-Validator<T> &Value<T>::getValidator()
+inline Validator<T> &Value<T>::getValidator()
 {
   if (validator == NULL) throw ParameterValidatorException();
@@ -210,5 +210,5 @@
 
 template <class T>
-const range<T> & Value<T>::getValidRange() const throw(ParameterValidatorException)
+inline const range<T> & Value<T>::getValidRange() const throw(ParameterValidatorException)
 {
   return dynamic_cast<const RangeValidator<T>&>(getValidator()).getValidRange();
@@ -222,5 +222,5 @@
  */
 template <class T>
-void Value<T>::setValidRange(const range<T> &_range) throw(ParameterValueException)
+inline void Value<T>::setValidRange(const range<T> &_range) throw(ParameterValueException)
 {
   dynamic_cast<RangeValidator<T>&>(getValidator()).setValidRange(_range);
@@ -238,5 +238,5 @@
 
 template <class T>
-void Value<T>::appendValidValue(const T &_value) throw(ParameterValidatorException)
+inline void Value<T>::appendValidValue(const T &_value) throw(ParameterValidatorException)
 {
   dynamic_cast<DiscreteValidator<T>&>(getValidator()).appendValidValue(_value);
@@ -244,5 +244,5 @@
 
 template <class T>
-const std::vector<T> &Value<T>::getValidValues() const throw(ParameterValidatorException)
+inline const std::vector<T> &Value<T>::getValidValues() const throw(ParameterValidatorException)
 {
   return dynamic_cast<const DiscreteValidator<T>&>(getValidator()).getValidValues();
